Piwigo Bugtracker

Piwigo bug tracker has moved to Github

This bugtracker is kept to provide history on old issues.


View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002718Piwigootherpublic2012.08.06 15:292013.01.06 19:09
Reporterrvelices 
Assigned Tomistic100 
PrioritynormalSeverityfeatureReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.4.3 
Target Version2.5.0beta1Fixed in Version2.5.0beta2 
Summary0002718: Add batch manager filters for photo dimensions
Descriptionmax/min width/height/ratio
TagsNo tags attached.
browserany
Database engine and version
PHP version
Web serverApache 1.3.x
Attached Files

- Relationships

-  Notes
(0006586)
plg (manager)
2012.08.30 14:43

I think I understand for width/height and that's a very good idea in my opinion :-)

Can you give an example of filter on ratio?
(0006590)
rvelices (developer)
2012.08.30 17:35

ratio > 1.5 = panoramas
ratio < 1 = portraits
ratio > 0.95 && ratio < 1.05 = almost squares
ratio < 0.95 || ratio > 1.05 = not squares
(0006615)
mistic100 (developer)
2012.09.09 14:18

I tried something
http://nsa30.casimages.com/img/2012/09/09//120909023111770572.jpg [^]

with these ratios, which are more releavant in my thought:
portrait < 0.95
0.95 <= square <= 1.05
1.05 < landscape < 2
2 <= panorama
(0006620)
svn (reporter)
2012.09.15 17:47

[Subversion] r17931 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2718: Add batch manager filters for photo dimensions
(0006624)
rvelices (developer)
2012.09.17 12:30

I think I would like to have the ratio with min/max instead of hard coded numbers. For me a panorama is not 2 , but 1.78 ... (everone should be able to customzie it)
(0006625)
mistic100 (developer)
2012.09.17 13:04

I wanted to make it simple for users, honestly do you think everybody will know how to choose the good ratio for their purpose ? (actually it will need two ratios, min and max)

about the panorama ratio it's indeed a personal interpretation, seems that many photograhers consider 2.61:1 as the good ratio (its the squared golden number)
(0006628)
rvelices (developer)
2012.09.17 19:39

then I will change the value of 2 to something lower because it does not fit me ...
(0006696)
mistic100 (developer)
2012.10.25 22:23

what doyou think of this ? (it must be stylized)
http://img1.uploadscreenshot.com/images/orig/10/29816230218-orig.png [^]

- the links on the "Ratio" line, fill the two textboxes
- I realized that with the current version we can't bound the dimensions (only min OR max)
(0006697)
rvelices (developer)
2012.10.25 22:27

perfect ... !
(0006703)
svn (reporter)
2012.10.27 12:59

[Subversion] r18758 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2718 Add batch manager filters for photo dimensions, redisgn
(0006730)
svn (reporter)
2012.11.10 21:10

[Subversion] r18988 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2718 Add batch manager filters for photo dimensions, redesign with sliders
(0006746)
svn (reporter)
2012.11.19 19:26

[Subversion] r19069 by plg on trunk

-----[Subversion commit log]----------------------------------------------------
feature 2718: Batch Manager filter on dimensions, only display existing values

improved colors on ui-slider
(0006747)
svn (reporter)
2012.11.21 15:29

[Subversion] r19121 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2718 Add batch manager filters for photo dimensions, small cleaning in the code
(0006793)
svn (reporter)
2013.01.06 19:09

[Subversion] r19920 by mistic100 on trunk

-----[Subversion commit log]----------------------------------------------------
feature:2718 errors when no photo on the gallery, use arbitrary values instead

- Issue History
Date Modified Username Field Change
2012.08.06 15:29 rvelices New Issue
2012.08.06 15:29 rvelices browser => any
2012.08.06 15:29 rvelices Web server => Apache 1.3.x
2012.08.30 14:43 plg Note Added: 0006586
2012.08.30 17:35 rvelices Note Added: 0006590
2012.09.09 14:18 mistic100 Note Added: 0006615
2012.09.15 17:45 mistic100 Status new => assigned
2012.09.15 17:45 mistic100 Assigned To => mistic100
2012.09.15 17:47 svn Checkin
2012.09.15 17:47 svn Note Added: 0006620
2012.09.17 12:30 rvelices Note Added: 0006624
2012.09.17 13:04 mistic100 Note Added: 0006625
2012.09.17 19:39 rvelices Note Added: 0006628
2012.10.25 22:23 mistic100 Note Added: 0006696
2012.10.25 22:27 rvelices Note Added: 0006697
2012.10.27 12:59 svn Checkin
2012.10.27 12:59 svn Note Added: 0006703
2012.10.30 11:25 mistic100 Status assigned => closed
2012.10.30 11:25 mistic100 Resolution open => fixed
2012.10.30 11:25 mistic100 Fixed in Version => 2.5.0beta2
2012.11.10 21:10 svn Checkin
2012.11.10 21:10 svn Note Added: 0006730
2012.11.19 19:26 svn Checkin
2012.11.19 19:26 svn Note Added: 0006746
2012.11.21 15:29 svn Checkin
2012.11.21 15:29 svn Note Added: 0006747
2013.01.06 19:09 svn Checkin
2013.01.06 19:09 svn Note Added: 0006793


Copyright © 2000 - 2019 MantisBT Team
Contact
Powered by Mantis Bugtracker